| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfECF Struct Reference
Subscriber Features

Time-of-Day Call Forwarding. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
unsp__Enabled * | Enabled
| Standard Enabled flag. More...
struct unsp__ScreenList * | ScreenList
| An optional list of DNs or Alphanumeric SIP URIs to forward. More...
struct unsp__CfECFList * | CfECFList
| A list of ECF entries. More...
xsd__int * | NumberOfRings
xsd__int * | RingDuration
| Indicates the duration that the phone will ring before (if not answered) the call will be redirected. More...
struct unsp__CfECF_locPres * | Local
| Local Presence flags. More...

## Detailed Description

Time-of-Day Call Forwarding.

The Time-of-Day Call Forwarding feature provides a scheduling capability to use in conjunction with the call forwarding-all calls, CFBL, and CFDA features. It can also be used with the selective call forwarding feature in some circumstances. The subscriber defines the schedules, activates and deactivates the feature, and specifies the forwarding destination. Also known as Enhanced Call Forwarding.
MP2 command: CFECF [Attributes]

## Member Data Documentation

## ◆ CfECFList

struct unsp__CfECFList* unsp__CfECF::CfECFList

A list of ECF entries.

Each entry represents a time period for a specific day of the week.
required: true

## ◆ Enabled

unsp__Enabled* unsp__CfECF::Enabled

Standard Enabled flag.

## ◆ Local

struct unsp__CfECF_locPres* unsp__CfECF::Local

Local Presence flags.

## ◆ NumberOfRings

xsd__int* unsp__CfECF::NumberOfRings

Deprecated:
  NA

## ◆ RingDuration

xsd__int* unsp__CfECF::RingDuration

Indicates the duration that the phone will ring before (if not answered) the call will be redirected.

required: false
default value[range]: 24 [0..60]

## ◆ ScreenList

struct unsp__ScreenList* unsp__CfECF::ScreenList

An optional list of DNs or Alphanumeric SIP URIs to forward.

required: false

## ◆ Subscribed

enum unsp__Subscribed unsp__CfECF::Subscribed

Standard Subscribed enumeration.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h